GCOVR(1)

NAME
gcovr - generate simple coverage reports

SYNOPSIS
gcovr [options]

DESCRIPTION
A utility to run gcov and generate a simple report that summarizes the coverage

OPTIONS

-h, --help
    show this help message and exit

--version
    Print the version number, then exit

-v, --verbose
    Print progress messages

--object-directory=OBJDIR
    Specify the directory that contains the gcov data files. gcovr must be able to identify the path between the *.gcda files and the directory where gcc was originally run. Normally, gcovr can guess correctly. This option overrides gcovr's normal path detection and can specify either the path from gcc to the gcda file (i.e. what was passed to gcc's '-o' option), or the path from the gcda file to gcc's original working directory.

-o OUTPUT, --output=OUTPUT
    Print output to this filename

-k, --keep
    Keep the temporary *.gcov files generated by gcov. By default, these are deleted.

-d, --delete
    Delete the coverage files after they are processed. These are generated by the users's program, and by default gcovr does not remove these files.

-f FILTER, --filter=FILTER
    Keep only the data files that match this regular expression

-e EXCLUDE, --exclude=EXCLUDE
    Exclude data files that match this regular expression

--gcov-filter=GCOV_FILTER
    Keep only gcov data files that match this regular expression

--gcov-exclude=GCOV_EXCLUDE
    Exclude gcov data files that match this regular expression

-r ROOT, --root=ROOT
    Defines the root directory for source files. This is also used to filter the files, and to standardize the output.

-x, --xml
    Generate XML instead of the normal tabular output.

--xml-pretty
    Generate pretty XML instead of the normal dense format.

--html
    Generate HTML instead of the normal tabular output.

--html-details
    Generate HTML output for source file coverage.

-b, --branches
    Tabulate the branch coverage instead of the line coverage.

-u, --sort-uncovered
    Sort entries by increasing number of uncovered lines.

-p, --sort-percentage
    Sort entries by decreasing percentage of covered lines.

--gcov-executable=GCOV_CMD
    Defines the name/path to the gcov executable [defaults to the GCOV environment variable, if present; else 'gcov'].

--exclude-unreachable-branches
    Exclude from coverage branches which are marked to be excluded by LCOV/GCOV markers or are determined to be from lines containing only compiler-generated "dead" code.

COPYRIGHT
Copyright (2013) Sandia Corporation. Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

SEE ALSO
The full documentation for gcovr is maintained as a Texinfo manual. If the info and gcovr programs are properly installed at your site, the command

    info gcovr

should give you access to the complete manual.